Update/enforce/document our build requirements.
authorUwe Hermann <uwe@hermann-uwe.de>
Sat, 28 Jan 2012 20:26:56 +0000 (21:26 +0100)
committerUwe Hermann <uwe@hermann-uwe.de>
Sat, 28 Jan 2012 20:26:56 +0000 (21:26 +0100)
README
configure.ac

diff --git a/README b/README
index 87d03115685944c6a026c27a285bdbfe917972c5..7c83efe1c338acd82eacbe9dc91944b03f83dbc2 100644 (file)
--- a/README
+++ b/README
@@ -21,11 +21,15 @@ Requirements
 ------------
 
  - git
- - gcc, g++, make, ...
- - autoconf, automake, libtool, pkg-config
+ - gcc
+ - make
+ - autoconf >= 2.63
+ - automake >= 1.11
+ - libtool
+ - pkg-config >= 0.22
  - libglib >= 2.22.0
- - libsigrok
- - libsigrokdecode
+ - libsigrok >= 0.2
+ - libsigrokdecode >= 0.2
 
 
 Building and installing
index 531b5ac4be09cad165d241cc847a8545786662fa..d6389c03790f0c66ee6b9028ac34d5f789e3a5a8 100644 (file)
@@ -17,7 +17,8 @@
 ## along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ##
 
-AC_PREREQ([2.61])
+# We require at least autoconf 2.63 (AC_INIT format changed there).
+AC_PREREQ([2.63])
 
 AC_INIT([sigrok-cli], [0.1], [sigrok-devel@lists.sourceforge.net],
         [sigrok-cli], [http://www.sigrok.org])
@@ -28,7 +29,8 @@ AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_MACRO_DIR([autostuff])
 AC_CONFIG_AUX_DIR([autostuff])
 
-AM_INIT_AUTOMAKE([-Wall -Werror foreign std-options])
+# We require at least automake 1.11 (needed for 'silent rules').
+AM_INIT_AUTOMAKE([1.11 -Wall -Werror foreign std-options])
 m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
 
 AH_TOP([#ifndef SIGROK_CLI_CONFIG_H